//////////////////////////////////////////
// Maze.cpp
//Copyright (c) 06/21/2020 by BCCSkelton
//////////////////////////////////////////
#include	"Maze.h"
#include	"MazeProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!Maze.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		//HWND hWnd = FindWindow("MainWnd", "Maze");
		//if(IsIconic(hWnd))
		//	ShowWindow(hWnd, SW_RESTORE);
		//SetForegroundWindow(hWnd);
		//SendMessage(hWnd, WM_COMMAND, IDM_OPEN, 0);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	Maze.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!Maze.Create("Maze"))
		return 0L;

	//メッセージループに入る
	return Maze.Loop();
}
